> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search People

> Search People



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/search/people
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/search/people:
    get:
      tags:
        - Search
      summary: Search People
      description: Search People
      operationId: getApiV1SearchPeople
      parameters:
        - in: query
          name: name
          schema:
            type: string
            description: Keyword used to search people by full name or display name
            example: Bill
          required: true
        - in: query
          name: page
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number for pagination
            default: 1
            example: 1
          required: false
        - in: query
          name: geocode_location
          schema:
            type: string
            description: >-
              Geographical code for location-based search.


              You can search by a single location or multiple locations
              separated by commas `,` (e.g. `103644278` (United States) or
              `103644278,102299470,102095887` (United States and England, United
              Kingdom and California, United States))


              You can use [Search Geocode Location
              Endpoint](https://docs.saleleads.ai/api-reference/search/search-locations)
              to get geocode from location string.
            example: '103644278'
          required: false
        - in: query
          name: current_company
          schema:
            type: string
            description: >-
              Company ID used to filter people by current workplace


              You can search by single current company or multiple companies
              separated by commas `,` (e.g. `1441` (Google) or `1441,3608`
              (Google and NVIDIA))


              You can use [Get Company Profile
              Endpoint](https://docs.saleleads.ai/api-reference/company/get-company-profile)
              to get Company ID from Company Name
            example: '1441'
          required: false
        - in: query
          name: follower_of
          schema:
            type: string
            description: >-
              Filter people who follow a specific LinkedIn user (by URN)


              For example: `ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc` (returns
              people who follow `Bill Gates`)


              You can use [Get User Profile
              Endpoint](https://docs.saleleads.ai/api-reference/user-profile-data/get-user-profile)
              to get User URN by Username
            example: ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc
          required: false
        - in: query
          name: past_company
          schema:
            type: string
            description: >-
              Company ID used to filter people by previously worked


              You can search by single past company or multiple companies
              separated by commas `,` (e.g. `1441` (Google) or `1441,3608`
              (Google and NVIDIA))


              You can use [Get Company Profile
              Endpoint](https://docs.saleleads.ai/api-reference/company/get-company-profile)
              to get Company ID from Company Name
            example: '1441'
          required: false
        - in: query
          name: school
          schema:
            type: string
            description: >-
              School ID used to filter people by education (returns people who
              studied at this school)


              You can search by single school or multiple schools separated by
              commas `,` (e.g. `1646` (Harvard University) or `1646,1792`
              (Harvard University and Stanford University))


              You can use [Get Company Profile
              Endpoint](https://docs.saleleads.ai/api-reference/company/get-company-profile)
              to get School ID from School Name
            example: '1646'
          required: false
        - in: query
          name: profile_language
          schema:
            type: string
            description: >+
              Filter people by profile language. (ISO 2-letter code, e.g. en,
              de)


              You can search by single language or multiple languages separated
              by commas `,` (e.g. `en` (English) or `en,de` (English and
              German))

            example: en
          required: false
        - in: query
          name: industry
          schema:
            type: string
            description: >-
              Industry ID


              You can search by single industry or multiple industries separated
              by commas `,` (e.g. `43` (Financial Services) or `43,25`
              (Financial Services and Manufacturing))


              You can use [Search Industry
              Endpoint](https://docs.saleleads.ai/api-reference/search/search-industry-suggestions)
              to get Industry ID by Name
            example: '43'
          required: false
        - in: query
          name: service_category
          schema:
            type: string
            description: >-
              Service category ID


              You can search by single service or multiple services separated by
              commas `,` (e.g. `220` (Consulting) or `220,63` (Consulting and
              Operations))
            example: '220'
          required: false
        - in: query
          name: first_name
          schema:
            type: string
            description: Filter people by first name
          required: false
        - in: query
          name: last_name
          schema:
            type: string
            description: Filter people by last name
          required: false
        - in: query
          name: title
          schema:
            type: string
            description: Filter people by job title or headline
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  total:
                    type: number
                    description: Total number of people
                    example: 500
                  has_more:
                    type: boolean
                    description: Indicates if there are more results
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: User ID
                          example: '251749025'
                        urn:
                          type: string
                          description: User URN
                          example: ACoAAA8BYqEBCGLg_vT_ca6mMEqkpp9nVffJ3hc
                        url:
                          type: string
                          description: User Profile URL
                          example: https://www.linkedin.com/in/williamhgates
                        public_identifier:
                          type: string
                          description: User Public Identifier
                          example: williamhgates
                        full_name:
                          type: string
                          description: User Full Name
                          example: Bill Gates
                        title:
                          type: string
                          description: User Title
                          example: >-
                            Chair, Gates Foundation and Founder, Breakthrough
                            Energy
                        location:
                          type: string
                          description: User Location
                          example: United States
                        is_verified:
                          type: boolean
                          description: Indicates if the user is a verified user
                          example: true
                        is_premium:
                          type: boolean
                          description: Indicates if the user is a premium user
                          example: true
                        is_top_voice:
                          type: boolean
                          description: Indicates if the user is a top voice
                          example: true
                        is_open_to_work:
                          type: boolean
                          description: Indicates if the user is open to work
                          example: false
                        is_hiring:
                          type: boolean
                          description: Indicates if the user is hiring
                          example: false
                        follower_count_display:
                          type: number
                          description: >-
                            Formatted follower count for LinkedIn Search UI
                            display (rounded), if available
                          example: 40000000
                        avatar:
                          type: array
                          items:
                            type: object
                            properties:
                              width:
                                type: number
                                description: Logo width
                                example: 400
                              height:
                                type: number
                                description: Logo height
                                example: 400
                              url:
                                type: string
                                description: Logo URL
                                example: >-
                                  https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                              expires_at:
                                type: number
                                description: Logo expires at
                                example: 1748476800000
                          description: User avatar
                        services:
                          type: array
                          items:
                            type: string
                          description: User services, if available
                          example:
                            - Software Development
                            - Web Development
                        website_url:
                          type: string
                          description: User website URL, if available
                          example: https://www.gatesnotes.com/
                    description: List of people matching the search keyword
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````